#
# spec file for package python-transip
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-transip
Version:        0.3.0
Release:        lp151.3.2
Summary:        TransIP API Connector
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/benkonrath/transip-api
Source:         https://github.com/benkonrath/transip-api/archive/%{version}.tar.gz
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module rsa}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module suds-jurko}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-requests
Requires:       python-rsa
Requires:       python-suds-jurko
BuildArch:      noarch
%python_subpackages

%description
This library implements part of the TransIP API in Python.

%prep
%setup -q -n transip-api-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# testConstructor needs network connection
%python_expand nosetests-%{$python_bin_suffix} -e "testConstructor"

%files %{python_files}
%license LICENSE
%{python_sitelib}/*
%python3_only %{_bindir}/transip-api

%changelog
* Mon Apr 16 2018 jengelh@inai.de
- Replace future wishes by present state.
* Sun Apr 15 2018 tchvatal@suse.com
- Add missing dependencies
- Use github tarball in order to allow tests and get license file
* Fri Sep 22 2017 daniel.molkentin@suse.com
- Initial checkin
